Name: libident
Version: 0.22
Release: 1
Packager: Vadim Zaliva <lord@crocodile.org>
Copyright: Public Domain
Group: Libraries
Summary: Ident library: Autorization, User Identification
Source: ftp://ftp.lysator.liu.se/pub/ident/libs/libident-0.22.tar.gz
Patch: libident-0.22.redhat.patch
Prefix: /usr
BuildRoot: /tmp/libident-root

%description
Package provides an easy way to append RFC 1413 Ident protocol support into
Internet applications. Includes header file and static library.

%prep
%setup
%patch -p1

%build
make linux

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/
mkdir -p ${RPM_BUILD_ROOT}/usr/include/
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man3/
install -m755 -o root -g root libident.a ${RPM_BUILD_ROOT}/usr/lib/
install -m644 -o root -g root ident.h ${RPM_BUILD_ROOT}/usr/include/
install -m644 -o root -g root ident.3 ${RPM_BUILD_ROOT}/usr/man/man3

%clean
if [ ! ${RPM_BUILD_ROOT} = / ]; then
  rm -rf ${RPM_BUILD_ROOT} ;
fi

%files
/usr/lib/libident.a
/usr/include/ident.h
/usr/man/man3/ident.3
%doc README INSTALL
